library(tidyverse)
library(writexl)


annotate_walktrap <- function(filename, prev_notes, annotations, elution){
    walktrap <- read_csv(filename)
    walktrap_annot <-right_join( prev_notes, walktrap, by = "ID") %>%
                 left_join(annotations, by = "ID") %>%
                 left_join(elution)
    
    outfile_csv = paste0(str_replace(filename, ".csv" , ""), "_annot.csv")
    walktrap_annot  %>% write_csv(outfile_csv)
    outfile_xlsx = paste0(str_replace(filename, ".csv" , ""), "_annot.xlsx")
    walktrap_annot  %>% write_xlsx(outfile_xlsx)
    return(walktrap_annot)
}

norm_virNOG_plant <- read_csv("data_files/virNOG_elut_norm_annot_wide_ordered.csv")

annotations <- read_delim("accessory_files/virNOG_collapse_annotations.txt", delim = "\t") %>% 
                 select(ID, arath_genenames, arath_protein_names, Annotation, disruptions, tair_disruptions, orysj_disruptions, lloyd2012_LOFs,  orysj_disruptions, arath_functions, arath_misc, orysj_genenames, orysj_Protein_names,orysj_functions,orysj_misc, arath_Entries, arath_Entry_names,orysj_Entries,orysj_Entry_names, pathway, unipathway, BioCyc, Reactome, kegg_pws, BRENDA, ec, arath_GO, tair, tissues, devstages, araport) %>% 
                 unite(disruption_phenotypes, disruptions, tair_disruptions, lloyd2012_LOFs, sep = " | ") 

prev_notes <- read_csv("/project/cmcwhite/data/protein_complexes_plant/training/walktrap_notes.csv")


annotate_walktrap("training/allplants_feature_matrix_missing1.unscaled.top100.edges.3steps.fdr10.threshold509.walktrap.csv",prev_notes, annotations, norm_virNOG_plant)

