library(dplyr)
library(readr)
library(stringr)

#Concatenations of ID1 ID2 spec, with rows only ones with score > 0.3
#parallel -j20 "awk -F',' '\$3 > 0.3 {print \$1, \$2, \$3, FILENAME}' {} > {}.filt03" ::: *pearson*feat.ordered
#Concatenate the single experiments

df <- read_delim("over0.3_spec.txt", col_names = FALSE, delim = " ")
names(df) <- c("ID1", "ID2", "pearsonR", "experiment")
print(df)

df_numexp <- df %>%
       mutate(spec = substring(experiment, 0, 5 )) %>% 

       group_by(ID1, ID2) %>%
       mutate(numexp = n()) %>%
       ungroup %>%

       select(ID1,ID2,spec, numexp) %>%
       unique 
       group_by(ID1, ID2) %>%
       mutate(numspec = n()) %>%
       ungroup 

print(df_numspec)
df_final <- df_numspec %>%

       filter(numexp > 2) %>%
       filter(numspec > 1) %>%
       select(ID1, ID2) %>%
       unique 

print(df_final)
df_final %>% write_csv("pairs_over03pearson_in3exp_in2species.txt")



